Update Knowledge Base Name
curl --request PUT \
--url https://api.staging.kathan.tech/knowledge-bases/{knowledge_base_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.staging.kathan.tech/knowledge-bases/{knowledge_base_id}"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"X-User-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-User-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.staging.kathan.tech/knowledge-bases/{knowledge_base_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Knowledge Bases
Update Knowledge Base Name
Update KB name (public).
PUT
/
knowledge-bases
/
{knowledge_base_id}
Update Knowledge Base Name
Authorizations
API key authentication.
Required user id for API key requests.
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Update Knowledge Base Name Knowledge Bases Knowledge Base Id Put · object.
Was this page helpful?
⌘I